Skip to main content
GET
Work Queue Check For Deployment

Headers

x-prefect-api-version
string

Path Parameters

id
string<uuid>
required

The deployment id

Response

Successful Response

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
name
string
required

The name of the work queue.

Pattern: ^[^/%&><]+$
description
string | null
default:""

An optional description for the work queue.

is_paused
boolean
default:false

Whether or not the work queue is paused.

concurrency_limit
integer | null

An optional concurrency limit for the work queue.

Required range: x >= 0
priority
integer
default:1

The queue's priority. Lower values are higher priority (1 is the highest).

work_pool_id
string<uuid> | null

The work pool with which the queue is associated.

filter
QueueFilter · object | null
deprecated

DEPRECATED: Filter criteria for the work queue.

last_polled
string<date-time> | null

The last time an agent polled this queue for work.